Bug 1361720 - appliance_console displays warning messages.
Summary: appliance_console displays warning messages.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.8.0
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard: black
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 21:17 UTC by amogh
Modified: 2017-05-31 14:21 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:21:02 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
appliance_console_warning (16.26 KB, image/png)
2016-07-29 21:19 UTC, amogh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description amogh 2016-07-29 21:17:45 UTC
Description of problem:
appliance_console displays warning messages.


Version-Release number of selected component (if applicable):
5.6.1.0.20160726144018_810a94f

How reproducible:
always

Steps to Reproduce:
1. ssh to the CFME 5.6.1.0.20160726144018_810a94f appliance console
2. run the "appliance_console" command
3. Observe the warning messages displayed below.
"/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/core_ext/object/blank.rb:100: warning: already initialized constant String::BLANK_RE
/opt/rh/cfme-gemset/gems/more_core_extensions-3.0.0/lib/more_core_extensions/core_ext/object/blank.rb:105: warning: previous definition of BLANK_RE was here

Actual results:
Below warning messages displayed.
"/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/core_ext/object/blank.rb:100: warning: already initialized constant String::BLANK_RE
/opt/rh/cfme-gemset/gems/more_core_extensions-3.0.0/lib/more_core_extensions/core_ext/object/blank.rb:105: warning: previous definition of BLANK_RE was here

Expected results:
No Warning/Error expected upon launching appliance_console.

Additional Info:
However, No problem accessing/running appliance_console commands.

Comment 2 amogh 2016-07-29 21:19:28 UTC
Created attachment 1185675 [details]
appliance_console_warning

Comment 3 Nick Carboni 2016-12-02 20:50:37 UTC
This was actually being caused by the redefinition of a constant in the more_core_extensions and active_support

I believe this was fixed by https://github.com/ManageIQ/more_core_extensions/pull/26

Brandon should be able to confirm.

Comment 4 Nick Carboni 2017-02-07 15:48:33 UTC
Moving to post as I'm not seeing the issue anymore.

Comment 5 luke couzens 2017-02-28 13:15:42 UTC
verified in 5.8.0.2

Comment 7 errata-xmlrpc 2017-05-31 14:21:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.